Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class StandardDOMHandler

    java.lang.Object
      net.sf.saxon.xqj.StandardDOMHandler

All Implemented Interfaces:
  XQCommonHandler

    public class StandardDOMHandler

extends Object
implements XQCommonHandler

Implementation of XQCommonHandler that performs the mappings between Java and XPath as defined in the XQJ specification. This is the handler that is used by default.

This handler implements the mappings defined in the XQJ specification. In addition, it defines the following mappings, which are applied after those defined in XQJ:

For fromObject:

- If the supplied object is an instance of javax.xml.transform.Source, a document node is constructed from the source and the resulting node is returned as the Item
- If the supplied object is an instance of javax.xml.stream.XMLStreamReader, a document node is constructed from the XMLStreamReader and the resulting node is returned as the Item
*

Constructor Summary
`StandardDOMHandler(XQDataSource source)`

Method Summary
`Item` | `convertToItem(Object value)`
`XQItem` | `fromObject(Object obj)`
`Object` | `toObject(XQItemAccessor item)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardDOMHandler

    public StandardDOMHandler(XQDataSource source)

Method Detail

### fromObject

    public XQItem fromObject(Object obj)
                      throws XQException

  Specified by:
    `fromObject` in interface `XQCommonHandler`
  Throws:
    `XQException`

### toObject

    public Object toObject(XQItemAccessor item)
                    throws XQException

  Specified by:
    `toObject` in interface `XQCommonHandler`
  Throws:
    `XQException`

### convertToItem

    public Item convertToItem(Object value)
                       throws XQException

  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.